@import '../variables.scss';

.checkout {
    .v-input__slot::before {
        border-style: none !important;
    }
}

.v-expansion-panel {
    background-color: transparent !important;
}

.v-expansion-panel::before {
    box-shadow: none;
    border-bottom: 1px solid $dim-grey;
    border-radius: 0 !important;
}

.v-expansion-panel-header {
    padding-left: 0 !important;
}

.v-expansion-panel-content__wrap {
    padding-left: 0;
    padding-right: 0;
}

.v-text-field > .v-input__control > .v-input__slot::before {
    border-bottom: 1px solid $dim-grey !important;
    border: none;
}

.v-input__append-inner {
    margin-right: 25px;
}

.vdp-datepicker {
    input {
        color: white;
        width: 100%;
    }

    input:focus {
        outline: none !important;
    }

    .vdp-datepicker__calendar {
        color: black;
        width: 100%;

        .cell:hover {
            border-color: red !important;
        }

        .cell.selected {
            background: black;
            color: white;
        }

        .cell.selected:hover {
            background: black;
            color: white;
        }
    }
}
